﻿using FlowerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopContracts.BindingModels
{
    public class FlowerBindingModel : IFlowerModel
    {
        public int Id { get; set; }
        public string FlowerName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> FlowerComponents
        {
            get;
            set;
        } = new();
    }
}
