﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.SearchModels;
using FlowerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopContracts.StoragesContracts
{
    public interface IFlowerStorage
    {
        List<FlowerViewModel> GetFullList();
        List<FlowerViewModel> GetFilteredList(FlowerSearchModel model);
        FlowerViewModel? GetElement(FlowerSearchModel model);
        FlowerViewModel? Insert(FlowerBindingModel model);
        FlowerViewModel? Update(FlowerBindingModel model);
        FlowerViewModel? Delete(FlowerBindingModel model);
    }
}
