﻿using FlowerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopDataModels.Models
{
    public interface IFlowerModel : IId
    {
        string FlowerName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> FlowerComponents { get; }
    }
}
