﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpen { get; }
        int MaxCapacity { get; }
        Dictionary<int, (IFlowerModel, int)> ShopFlowers { get; }
    }
}
