﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.SearchModels;
using FlowerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopContracts.BusinessLogicsContracts
{
    public interface IFlowerLogic
    {
        List<FlowerViewModel>? ReadList(FlowerSearchModel? model);
        FlowerViewModel? ReadElement(FlowerSearchModel model);
        bool Create(FlowerBindingModel model);
        bool Update(FlowerBindingModel model);
        bool Delete(FlowerBindingModel model);
    }
}